package mk_qr

import (
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	logic "git.i2edu.net/i2/i2-bill-api/internal/logic/mkt_qr"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func MktQrGetHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := logic.NewMktQrGetLogic(r.Context(), ctx)
		resp, err := l.MktQrGet(r)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
